import { IWeek } from '../useCms';

export interface LocalizedVenueMedia {
    mediaType: 'IMAGE' | 'VIDEO';
    url: {
        locale: string;
        value: string | string[];
    }[];
    venue: string;
    schedule: IWeek | undefined;
    imageDisplayTime?: number;
}
export interface LocalizedVenueItem<T> {
    value: {
        locale: string;
        value: T;
    }[];
    venue: string;
    schedule: IWeek | undefined;
    imageDisplayTime?: number;
}
export declare function isAvailable(week: IWeek | undefined): boolean;
export declare const getUrlFromLocalizedVenueMedia: (localizedVenueMedia: LocalizedVenueMedia | undefined, locale: string) => string | string[] | null;
export declare const getLocalizedVenueMediaFromArray: (localizedVenueMedia: LocalizedVenueMedia[] | undefined, venue: string) => LocalizedVenueMedia | undefined;
export declare function getLocalizedVenueMediaUrl(localizedVenueMedia: LocalizedVenueMedia[] | undefined, venue: string, locale: string): string | string[] | null;
export declare function getLocalizedVenueItem<T>({ items, locale, venue, }: {
    items: LocalizedVenueItem<T>[];
    venue: string;
    locale: string;
}): T | undefined;
//# sourceMappingURL=cms.d.ts.map